Bug 1070431 (JON3-11) - Ability to create new support cases from JBoss ON server
Summary: Ability to create new support cases from JBoss ON server
Status: CLOSED CURRENTRELEASE
Alias: JON3-11
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: CR01
: JON 3.3.1
Assignee: Libor Zoubek
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On: 1133590 1133903 1133909 1134367 1134780 1134829 1140659 1140669 1140674 1160191 1161456
Blocks: JON3-12
TreeView+ depends on / blocked
 
Reported: 2014-02-26 20:05 UTC by Heiko W. Rupp
Modified: 2015-11-02 00:43 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-27 19:58:17 UTC


Attachments (Terms of Use)
JON 3-11 fails QE (84.38 KB, image/png)
2014-07-31 18:11 UTC, Mike Foley
no flags Details
unable_to_attach_JDR_report (84.87 KB, image/png)
2015-01-29 14:41 UTC, Armine Hovsepyan
no flags Details
eap_new_case_jdr (139.34 KB, image/png)
2015-02-16 12:31 UTC, Armine Hovsepyan
no flags Details
jon-new-case-jdr (131.81 KB, image/png)
2015-02-16 12:32 UTC, Armine Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JON3-11 Minor Verified Provide initial CSP integration for opening JON cases 2017-04-25 16:00 UTC
Red Hat Bugzilla 1070323 None None None Never
Red Hat Bugzilla 1070437 None None None Never

Internal Trackers: 1070323 1070437

Description Heiko W. Rupp 2014-02-26 20:05:57 UTC
It must be possible to open JON cases on the CSP from within JON

Comment 1 Heiko W. Rupp 2014-03-07 16:51:18 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=1069547#c1

Comment 4 JBoss JIRA Server 2014-06-13 13:43:32 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-11 to Resolved

Comment 5 Jirka Kremser 2014-06-26 15:27:03 UTC
It's in the master (3.3 will be based on it)

pull request #61
commits:
4012346e0
c49d37318
5a50fe270
63815b9e5
ce94b7c59
2eb8b5923
20d1821f3
1c2cea1c2
0979d143e
53cb140de
6876f8593
4eaddf84e
871942c5e

Comment 6 Simeon Pinder 2014-07-31 15:51:35 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 7 Mike Foley 2014-07-31 18:06:33 UTC
I need to reject this BZ.  The requirement is not met.  See attached screenshot.  

rha support war was not built.

Comment 8 Mike Foley 2014-07-31 18:11:02 UTC
Created attachment 923014 [details]
JON 3-11 fails QE

Comment 9 JBoss JIRA Server 2014-08-15 22:50:30 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-11 to Reopened

Comment 10 Simeon Pinder 2014-08-19 23:50:28 UTC
Moving to ON_QA as available to test in the following brew build:

https://brewweb.devel.redhat.com//buildinfo?buildID=379025

Comment 11 JBoss JIRA Server 2014-08-20 07:25:26 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-11 to Resolved

Comment 15 JBoss JIRA Server 2014-08-25 14:23:36 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-11 to Reopened

Comment 20 Simeon Pinder 2014-09-29 08:12:31 UTC
Moving into ER05 as didn't make the ER04 cut.

Comment 23 Simeon Pinder 2014-11-03 19:03:32 UTC
Moving to ON_QA as available to test with latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=396547

Comment 24 Mike Foley 2014-11-05 12:02:59 UTC
This is the testing status of this feature in CR01 (which is a GA candidate).  New bugs ...as well as fail-to-verify 


https://bugzilla.redhat.com/show_bug.cgi?id=1160191   JON 3-11, JON 3-12 ....would require a new RHA .war file 
https://bugzilla.redhat.com/show_bug.cgi?id=1133590   JON 3-11, JON 3-12    would require a new RHA .war file 
https://bugzilla.redhat.com/show_bug.cgi?id=1134829    JON 3-11, JON3-12    would require a new RHA .war file 

This tracker has outlived it usefulness.   We are going to GA with some issues and requirements on this feature not met.

I can't set this to VERIFIED ...(as it is not).

setting to RELEASE PENDING

Comment 25 JBoss JIRA Server 2014-11-05 12:06:32 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-11 to Resolved

Comment 26 Larry O'Leary 2015-01-06 00:50:02 UTC
Removing "Tracker" from title as this is not a tracker. Instead, this is an actual requirement that was submitted and partially implemented for JBoss ON 3.3.

As QE indicated that testing was incomplete at the time of GA, they had moved this to an invalid state. Moving back to ON_QA for 3.3.z for proper testing and validation.

Comment 27 Armine Hovsepyan 2015-01-29 14:41:33 UTC
Created attachment 985635 [details]
unable_to_attach_JDR_report

Comment 28 Armine Hovsepyan 2015-01-29 14:50:43 UTC
unable to create a support case on JON with JDR , for both Jboss EAP product and JON product with JDR report
see attachment

Comment 29 Libor Zoubek 2015-01-29 16:40:17 UTC
below commit fixes possible caching issue of custom-cases.js which might have resulted in Invalid User/Pass when attempting to generate & attach JDR report.

branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/22a1dad19
time:    2015-01-29 17:36:35 +0100
commit:  22a1dad1933a25bf3b4731873a663760a3436671
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1160191 - Able to create New support case in JBoss ON who does not
         have
         'Manage Support Cases' permission
         Updated RHA to 0.9.73. All files changed since 3.3.0.GA had to
         be renamed
         (prevent browser caching) added CacheFilter class which sets
         correct headers to returned js,css,html files - so we don't
         need to rename files with further updates.

Comment 31 Simeon Pinder 2015-02-16 04:49:29 UTC
Moving to ON_QA as available to test with latest CP build:
http://download.devel.redhat.com/brewroot/packages/org.jboss.on-jboss-on-parent/3.3.0.GA/16/maven/org/jboss/on/jon-server-patch/3.3.0.GA/jon-server-patch-3.3.0.GA.zip
*Note: jon-server-patch-3.3.0.GA.zip maps to CR01 build of jon-server-3.3.0.GA-update-01.zip.

Comment 32 Armine Hovsepyan 2015-02-16 12:31:54 UTC
Created attachment 992163 [details]
eap_new_case_jdr

Comment 33 Armine Hovsepyan 2015-02-16 12:32:37 UTC
Created attachment 992164 [details]
jon-new-case-jdr

Comment 34 Jeeva Kandasamy 2015-02-17 09:29:42 UTC
All the 'Depends On' moved to verified/Closed state, also verified able to create new support case in JON server. hence moved this bug to verified state.


Version:
JBoss Operations Network
Version : 3.3.0.GA Update 01
Build Number : ab9ebbd:884011b
GWT Version : 2.5.0
SmartGWT Version : 3.0p


Note You need to log in before you can comment on or make changes to this bug.